#version 130

// "in" variables are supplied from the vertex data
in vec4 position;
in vec2 texcoord;

// "out" variables are the outputs of this pipeline stage to the next
// "vertex" shaders should output the built-in variable gl_Position,
// as well as anything declared here
smooth out vec2 surface_texcoord;

// The main function runs once per vertex
void main () {

  // Pass through the vertex position, already in clip space
  gl_Position = position;
  surface_texcoord = texcoord;
}
